%define module_name	rtai
%define module_version	3.2
%define module_release	alt1

#### MODULE SOURCES ####
Name: kernel-source-%module_name
#-%module_version
Version: %module_version
Release: %module_release
Summary: The Real-Time Application Interface - sources
License: GPL
Group: Development/Kernel
Url: http://www.rtai.org
BuildArch: noarch

Source: http://download.gna.org/rtai/testing/v3/%module_name-%version-test1.tar.bz2
Patch: rtai-3.2-alt-build.patch

Packager: Kernel Maintainer Team <kernel@packages.altlinux.org>

%description
The Real-Time Application Interface is a hard real-time extension
to the Linux kernel, contributed in accordance with the Free Software
guidelines. It provides the features of an industrial-grade RTOS,
seamlessly accessible from the powerful and sophisticated GNU/Linux
environment.

%prep
%setup -q -c -n kernel-source-%module_name-%module_version
%patch -p0
%__mv %module_name-%version-test1/* .
%__rm -fR %module_name-%version-test1

%install
%__mkdir_p %buildroot%_usrsrc/kernel/sources/
pushd ..
%__tar -c kernel-source-%module_name-%module_version | %__bzip2 -c > \
    %buildroot%_usrsrc/kernel/sources/kernel-source-%module_name-%module_version.tar.bz2
popd

%files
%attr(644,root,root) %_usrsrc/kernel/sources/kernel-source-%module_name-%module_version.tar.bz2

%changelog
* Mon Jan 31 2005 Grigory Batalov <bga@altlinux.ru> 3.2-alt1
- Initial build for ALT Linux (rtai-3.2-test1)
